# Generated by Django 3.1.2 on 2020-10-25 10:26

import archmanweb.models
import django.contrib.postgres.fields
import django.contrib.postgres.indexes
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Content',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('raw', models.TextField()),
                ('html', models.TextField(blank=True, null=True)),
                ('txt', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ManPage',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('section', models.TextField()),
                ('lang', models.TextField(default='en')),
            ],
        ),
        migrations.CreateModel(
            name='Package',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('repo', models.TextField()),
                ('name', models.TextField()),
                ('version', models.TextField()),
                ('arch', models.TextField()),
                ('description', models.TextField()),
                ('url', models.TextField(null=True)),
                ('build_date', models.DateTimeField()),
                ('licenses', django.contrib.postgres.fields.ArrayField(base_field=models.TextField(), size=None)),
            ],
        ),
        migrations.CreateModel(
            name='UpdateLog',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('timestamp', models.DateTimeField()),
                ('duration', models.DurationField()),
                ('updated_pkgs', models.IntegerField()),
                ('updated_pages', models.IntegerField()),
                ('stats_count_man_pages', models.IntegerField()),
                ('stats_count_symlinks', models.IntegerField()),
                ('stats_count_all_pkgs', models.IntegerField()),
                ('stats_count_pkgs_with_mans', models.IntegerField()),
                ('convert_txt_returncode', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='SymbolicLink',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('lang', models.TextField(default='en')),
                ('from_section', models.TextField()),
                ('from_name', models.TextField()),
                ('to_section', models.TextField()),
                ('to_name', models.TextField()),
                ('package', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archmanweb.package')),
            ],
        ),
        migrations.AddIndex(
            model_name='package',
            index=django.contrib.postgres.indexes.GinIndex(fields=['name'], name='package_name', opclasses=['gin_trgm_ops']),
        ),
        migrations.AddIndex(
            model_name='package',
            index=archmanweb.models.SearchVectorIndex(fields=['description'], name='package_description_search'),
        ),
        migrations.AlterUniqueTogether(
            name='package',
            unique_together={('name', 'repo')},
        ),
        migrations.AddField(
            model_name='manpage',
            name='content',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='manpage_content', to='archmanweb.content'),
        ),
        migrations.AddField(
            model_name='manpage',
            name='converted_content',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='manpage_converted_content', to='archmanweb.content'),
        ),
        migrations.AddField(
            model_name='manpage',
            name='package',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archmanweb.package'),
        ),
        migrations.AddIndex(
            model_name='content',
            index=archmanweb.models.SearchVectorIndex(fields=['description'], name='content_description_search'),
        ),
        migrations.AddIndex(
            model_name='symboliclink',
            index=django.contrib.postgres.indexes.GinIndex(fields=['from_name'], name='symboliclink_from_name', opclasses=['gin_trgm_ops']),
        ),
        migrations.AlterUniqueTogether(
            name='symboliclink',
            unique_together={('package', 'lang', 'from_section', 'from_name')},
        ),
        migrations.AlterIndexTogether(
            name='symboliclink',
            index_together={('from_name', 'lang'), ('from_section', 'from_name'), ('from_section', 'from_name', 'lang')},
        ),
        migrations.AddIndex(
            model_name='manpage',
            index=django.contrib.postgres.indexes.GinIndex(fields=['name'], name='manpage_name', opclasses=['gin_trgm_ops']),
        ),
        migrations.AlterUniqueTogether(
            name='manpage',
            unique_together={('package', 'section', 'name', 'lang')},
        ),
        migrations.AlterIndexTogether(
            name='manpage',
            index_together={('section', 'name', 'lang'), ('name', 'lang', 'section'), ('section', 'name'), ('name', 'lang'), ('lang', 'name', 'section')},
        ),
    ]
